apiVersion: v1
kind: Secret
metadata:
  name: coder-db-url
  namespace: "{{ k8s_coder_namespace }}"
type: Opaque
data:
{% set url = 'postgres://' ~ k8s_coder_postgresql_username ~ ':' ~ k8s_coder_postgresql_password ~ '@coder-db-postgresql.' ~ k8s_coder_namespace ~ '.svc.' ~ k8s_coder_cluster_domain ~ ':5432/coder?sslmode=disable' %}
  url: "{{ url | b64encode }}"

{% if k8s_coder_tls_enabled %}
---
apiVersion: v1
kind: Secret
metadata:
  name: coder-secrets
  namespace: "{{ k8s_coder_namespace }}"
type: Opaque
data:
  tls.key: "{{ slurped_key.content | b64decode }}"
  tls.crt: "{{ slurped_cert.content | b64decode }}"
{% endif %}
